using System;
using System.ComponentModel;
using UnityEngine;
using UnityModManagerNet;

namespace CR_style_smoke_deflectors
{
	public class Settings : UnityModManager.ModSettings
	{
		public enum SmokeDeflectorType
		{
			[Description("No smoke deflectors")]
			None,

			[Description("Chinese Railways-style smoke deflectors")]
			Chinese,
		}

		public SmokeDeflectorType smokeDeflectorType = SmokeDeflectorType.Chinese;

		public void Draw(UnityModManager.ModEntry modEntry)
		{
			// GUILayout.BeginVertical();

			GUILayout.Label("These settings are applied on train spawn, meaning rejoining the game will refresh all 282 locos to the settings specified here, but if you don't unload the train it will keep whatever settings were there previously. This is a temporary solution until I have a proper GUI implemented.");
			GUILayout.Label("Also, reloading a save will currently break things and the tweaks won't load. This isn't good.");

			// GUILayout.Space(2f);

			GUILayout.Label("Smoke Deflector Type");
			smokeDeflectorType = (SmokeDeflectorType) GUILayout.SelectionGrid((int) smokeDeflectorType, Enum.GetNames(typeof(SmokeDeflectorType)), 1, "toggle");
			//
			// GUILayout.EndVertical();
		}

		public override void Save(UnityModManager.ModEntry modEntry)
		{
			Save(this, modEntry);
		}
	}
}
